## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelPropertyClassFactory Struct Reference

This is a factory for property classes. More...

`#include <physicallayer/propfact.h>`

List of all members.

## Public Member Functions

virtual csPtr< iCelPropertyClass > | CreatePropertyClass ()=0
| Create a property class of some type.
virtual const char * | GetName () const =0
| Get the name of this property class factory.

## Detailed Description

This is a factory for property classes.

One factory can support multiple types of property classes.

Definition at line 34 of file propfact.h.

## Member Function Documentation

virtual csPtr<iCelPropertyClass> iCelPropertyClassFactory::CreatePropertyClass | ( |  | ) | `[pure virtual]`

| Create a property class of some type.

virtual const char* iCelPropertyClassFactory::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this property class factory.

The documentation for this struct was generated from the following file:

- physicallayer/propfact.h